Skip to main content
POST
/
v1
/
api
/
ucf
/
dashboards
/
set-exportable
Mark dashboards as exportable
curl --request POST \
  --url 'https://api.upsolve.ai/v1/api/ucf/dashboards/set-exportable?apiKey=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "apiKey": "up_embed_************"
}
'
import requests

url = "https://api.upsolve.ai/v1/api/ucf/dashboards/set-exportable?apiKey="

payload = { "apiKey": "up_embed_************" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({apiKey: 'up_embed_************'})
};

fetch('https://api.upsolve.ai/v1/api/ucf/dashboards/set-exportable?apiKey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "<string>",
  "data": {
    "updated": 4503599627370495
  }
}
{
"status": "<string>",
"error": {
"message": "<string>",
"code": "<string>",
"details": {}
}
}

Authorizations

apiKey
string
query
required

apiKey MUST be supplied within the request body instead of query

Body

application/json

POST /v1/api/ucf/dashboards/set-exportable Request body

dashboardIds
string[]
required

IDs of dashboards to mark exportable / non-exportable

Minimum array length: 1
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
isExportable
boolean
required

Whether the listed dashboards should be included in exports

apiKey
string

Upsolve API key, generated under Account → Developer settings in the Upsolve Hub. Keys are user-scoped: pass organizationId alongside the key to select which org to act on.

Minimum string length: 1
Example:

"up_embed_************"

organizationId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Response

POST /v1/api/ucf/dashboards/set-exportable Positive response

status
string
required
Allowed value: "success"
data
object
required